LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
socket_decl.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "osl/socket.h"`
`#include "rtl/ustring.hxx"`
`#include "rtl/byteseq.hxx"`

Go to the source code of this file.

## Classes
class | osl::SocketAddr
| The class should be understood as a reference to a socket address handle (struct sockaddr). More...
class | osl::Socket
class | osl::StreamSocket
class | osl::ConnectorSocket
class | osl::AcceptorSocket
| Allows to accept socket connections. More...
class | osl::DatagramSocket
| A connectionless socket to send and receive datagrams. More...

## Namespaces
namespace | osl

## Enumerations
enum | osl::__osl_socket_NoCopy { osl::SAL_NO_COPY }